<xml> </xml>

db4o |

# MemoryIoAdapter Members

MemoryIoAdapter overview

#### Public Instance Constructors

MemoryIoAdapter Constructor | Initializes a new instance of the MemoryIoAdapter class.

#### Public Instance Methods

blockCopy (inherited from IoAdapter) | copies a block within a file in block mode
blockSeek (inherited from IoAdapter) | Overloaded. sets the read/write pointer in the file using block mode
blockSize (inherited from IoAdapter) | Overloaded. outside call to set the block size of this adapter
close | for internal processing only.
copy (inherited from IoAdapter) | copies a block within a file in absolute mode
Equals (inherited from Object) |
exists | for internal processing only.
get | returns the content bytes for a database with the given name.
GetHashCode (inherited from Object) |
getLength | for internal processing only.
GetType (inherited from Object) |
growBy | configures the length a memory file should grow, if no more free slots are found within.
open | for internal processing only.
put | creates an in-memory database with the passed content bytes and adds it to the adapter for the specified name.
read | Overloaded. for internal processing only.
read (inherited from IoAdapter) | Overloaded. reads a buffer at the seeked address
seek | for internal processing only.
sync | for internal processing only.
ToString (inherited from Object) |
write | Overloaded. for internal processing only.
write (inherited from IoAdapter) | Overloaded. writes a buffer to the seeked address

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |
regularAddress (inherited from IoAdapter) | converts address and address offset to an absolute address

#### See Also

MemoryIoAdapter Class | com.db4o.io Namespace |